package model;

import java.io.DataInputStream;
import java.io.File;
import java.io.FileInputStream;

public class Loader {
	private ToDoList lst;
	public Loader(ToDoList l) {
		lst = l;
	}
	public boolean loadFrom(File f) {
		lst.clear();
		try (DataInputStream s = new DataInputStream(new FileInputStream(f))) {
			Operation op;
			switch (s.readByte()) {
				case 1 : op = new LoadBinaryV1(s); break;
				default: return false;
			}
			lst.performs(op);
		} catch (Exception e) {
			return false;
		}
		return true;
	}
}
