package model;

public class SimpleToDo
extends ToDo {
	public static final char CODE = 'S';
	private boolean done;
    public SimpleToDo() {
    	super();
    	done = false;
    }
    public SimpleToDo(String name) {
    	super(name);
    	done = false;
    }
	public void setDone(boolean b) {
		done = b;
	}
	public boolean isDone() {
		return done;
	}
	public String toString() {
		String s = name;
		if (dueTo != null) s += " (pour le " + dueTo + ")";
		s += " : " + ((done) ? "fait" : "à faire");
		return s;
	}
	public void performs(Operation op) throws Exception {
		op.doItOn(this);
	}
	public void performs(Operation op, int margin) throws Exception {
		op.doItOn(this, margin);
	}
}
