package model;

public abstract class ToDo
implements Operable, Comparable<ToDo> {
	protected String name;
	protected Date dueTo;
	public ToDo() {
		name = "sans nom";
		dueTo = null;
	}
	public ToDo(String name) {
		this.name = name;
		dueTo = null;
	}
	public ToDo(String name, Date dueTo) {
		this.name = name;
		this.dueTo = dueTo;
	}
    public String name() {
        return name;
	}
	public void name(String name) {
		this.name = name;
	}
	public Date dueDate() {
		return dueTo;
	}
	public void dueDate(String date)
    throws Exception {
		if (date.equals(""))
			dueTo = null;
		else
			dueTo = new Date(date);
	}
	public void dueDate(Date d)
    throws Exception {
		if (d.day() == 0)
			dueTo = null;
		else
			dueTo = d;
	}
	public abstract boolean isDone();
	public int compareTo(ToDo o) {
		return name.compareTo(o.name);
	}
}
