package view;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import controler.Controler;

public abstract class Command implements ActionListener {
	protected ToDoListFrame frame;
	protected Controler controler;
	Command(ToDoListFrame f, Controler c) {
		frame = f;
		controler = c;
	}
	//en tant que commande
	public abstract void execute();
	//en tant que ActionListener
	public void actionPerformed(ActionEvent e) {
		execute();
	}
}
